<div class="container">
  <h1 mat-dialog-title>
    {{ 'projectManagement.publishYourProject' | translate }}
  </h1>
  <p>
    {{ 'projectManagement.publishDescription1' | translate }}
    <a [routerLink]="['/licenses/cc0']" (click)="dialogRef.close()">CC-0</a>
    {{ 'projectManagement.publishDescription2' | translate }}
  </p>
  <div mat-dialog-content class="button-container">
    <button mat-raised-button color="accent" (click)="publishToGit()">
      {{ 'projectManagement.publish' | translate }}
    </button>
    <button mat-raised-button color="primary" (click)="goToResultPage()">
      {{ 'projectManagement.goToResultPage' | translate }}
    </button>
    <button
      mat-raised-button
      style="background-color: red; color: white"
      (click)="abortPublish()"
    >
      {{ 'projectManagement.abort' | translate }}
    </button>
  </div>
</div>
